> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Businesses

> List business records with pagination and filtering support.

**Filters:**
- `filter[async_status]`: Filter by processing status (processing, succeeded, not_found, canceled)
- `filter[country]`: Filter by country code (e.g., US, BR)

**Pagination:**
- `page[size]`: Number of records per page (default: 15)
- `page[after]`: Cursor for next page
- `page[before]`: Cursor for previous page
- `page[total]`: Include total count in response

**Example:**
```
GET /v1/businesses?filter[async_status]=succeeded&filter[country]=US&page[size]=10
```



## OpenAPI

````yaml GET /v1/businesses
openapi: 3.1.0
info:
  title: Beltic Business API
  version: 1.0.0
  description: >-
    # Business Registry API


    The Beltic Business API provides business registry lookup capabilities
    across multiple countries and vendors.


    ## Key Features


    - **Multi-Country Support**: Lookup business information from various
    country registries

    - **Vendor Integration**: Aggregates data from multiple vendor sources

    - **Async Processing**: Support for both synchronous and asynchronous
    processing modes

    - **JSON:API Format**: All responses follow JSON:API specification


    ## Workflow


    1. **Create Business Lookup**: Submit a business lookup request with country
    and search parameters

    2. **Processing**: The request is queued and processed by country-specific
    services

    3. **Retrieve Results**: Poll the business record to get updated status and
    results


    ## Processing Modes


    - **Async Mode** (async: true): Returns immediately with processing status.
    Client polls for completion.

    - **Sync Mode** (async: false): Waits up to 45 seconds for completion.
    Returns processing status if timeout.


    ## Authentication


    All endpoints require authentication. Include your API key in the
    `x-api-key` header:

    ```

    x-api-key: YOUR_API_KEY

    ```


    ## Response Format


    All responses follow the JSON:API specification for consistent data
    structures.
  contact:
    name: Beltic API Support
    email: engineering@beltic.com
servers:
  - url: https://api.beltic.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Business
    description: >-
      Manage business registry lookups. Create lookup requests, retrieve
      results, and list business records. Supports multiple countries and
      vendors with async/sync processing modes.
externalDocs:
  description: Beltic Platform Documentation
  url: https://docs.beltic.com
paths:
  /v1/businesses:
    get:
      tags:
        - Business
      summary: List business records
      description: >-
        List business records with pagination and filtering support.


        **Filters:**

        - `filter[async_status]`: Filter by processing status (processing,
        succeeded, not_found, canceled)

        - `filter[country]`: Filter by country code (e.g., US, BR)


        **Pagination:**

        - `page[size]`: Number of records per page (default: 15)

        - `page[after]`: Cursor for next page

        - `page[before]`: Cursor for previous page

        - `page[total]`: Include total count in response


        **Example:**

        ```

        GET
        /v1/businesses?filter[async_status]=succeeded&filter[country]=US&page[size]=10

        ```
      parameters:
        - schema:
            type: string
            enum:
              - processing
              - succeeded
              - not_found
              - canceled
            description: Filter by async status
            example: succeeded
          required: false
          description: Filter by async status
          name: filter[async_status]
          in: query
        - schema:
            type: string
            description: Filter by country code
            example: US
          required: false
          description: Filter by country code
          name: filter[country]
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 100
            description: Number of records per page
            example: 15
          required: false
          description: Number of records per page
          name: page[size]
          in: query
        - schema:
            type: string
            description: Cursor for next page
          required: false
          description: Cursor for next page
          name: page[after]
          in: query
        - schema:
            type: string
            description: Cursor for previous page
          required: false
          description: Cursor for previous page
          name: page[before]
          in: query
        - schema:
            type:
              - boolean
              - 'null'
            description: Include total count in response
            example: false
          required: false
          description: Include total count in response
          name: page[total]
          in: query
      responses:
        '200':
          description: Business records retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - business
                        attributes:
                          type: object
                          properties:
                            is_registered:
                              type:
                                - boolean
                                - 'null'
                            official_name:
                              type:
                                - string
                                - 'null'
                            status:
                              type:
                                - string
                                - 'null'
                            legal_form:
                              type:
                                - string
                                - 'null'
                            registration_date:
                              type:
                                - string
                                - 'null'
                            dissolution_date:
                              type:
                                - string
                                - 'null'
                            translation:
                              type:
                                - object
                                - 'null'
                              properties:
                                official_name:
                                  type:
                                    - string
                                    - 'null'
                                status:
                                  type:
                                    - string
                                    - 'null'
                                legal_form:
                                  type:
                                    - string
                                    - 'null'
                            registered_address:
                              type:
                                - object
                                - 'null'
                              properties:
                                formatted_address:
                                  type: string
                                street:
                                  type: string
                                street2:
                                  type:
                                    - string
                                    - 'null'
                                city:
                                  type: string
                                state_or_province:
                                  type: string
                                postal_code:
                                  type: string
                                po_box:
                                  type:
                                    - string
                                    - 'null'
                                country:
                                  type: string
                                latitude:
                                  type:
                                    - number
                                    - 'null'
                                longitude:
                                  type:
                                    - number
                                    - 'null'
                                start_date:
                                  type:
                                    - string
                                    - 'null'
                                end_date:
                                  type:
                                    - string
                                    - 'null'
                                translation:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    official_name:
                                      type:
                                        - string
                                        - 'null'
                                    status:
                                      type:
                                        - string
                                        - 'null'
                                    legal_form:
                                      type:
                                        - string
                                        - 'null'
                              required:
                                - formatted_address
                                - street
                                - city
                                - state_or_province
                                - postal_code
                                - country
                            physical_address:
                              type:
                                - object
                                - 'null'
                              properties:
                                formatted_address:
                                  type: string
                                street:
                                  type: string
                                street2:
                                  type:
                                    - string
                                    - 'null'
                                city:
                                  type: string
                                state_or_province:
                                  type: string
                                postal_code:
                                  type: string
                                po_box:
                                  type:
                                    - string
                                    - 'null'
                                country:
                                  type: string
                                latitude:
                                  type:
                                    - number
                                    - 'null'
                                longitude:
                                  type:
                                    - number
                                    - 'null'
                                start_date:
                                  type:
                                    - string
                                    - 'null'
                                end_date:
                                  type:
                                    - string
                                    - 'null'
                                translation:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    official_name:
                                      type:
                                        - string
                                        - 'null'
                                    status:
                                      type:
                                        - string
                                        - 'null'
                                    legal_form:
                                      type:
                                        - string
                                        - 'null'
                              required:
                                - formatted_address
                                - street
                                - city
                                - state_or_province
                                - postal_code
                                - country
                            identifiers:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - type
                                  - value
                            industry:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  code:
                                    type: string
                                  description:
                                    type: string
                                  system:
                                    type: string
                                  is_primary:
                                    type: boolean
                                  translation:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      official_name:
                                        type:
                                          - string
                                          - 'null'
                                      status:
                                        type:
                                          - string
                                          - 'null'
                                      legal_form:
                                        type:
                                          - string
                                          - 'null'
                                required:
                                  - code
                                  - description
                                  - system
                                  - is_primary
                            capital:
                              type:
                                - object
                                - 'null'
                              properties:
                                registered:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    amount:
                                      type: number
                                    currency:
                                      type: string
                                  required:
                                    - amount
                                    - currency
                                paid_up:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    amount:
                                      type: number
                                    currency:
                                      type: string
                                  required:
                                    - amount
                                    - currency
                            officers:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  date_of_birth:
                                    type:
                                      - string
                                      - 'null'
                                  id_type:
                                    type:
                                      - string
                                      - 'null'
                                  id_number:
                                    type:
                                      - string
                                      - 'null'
                                  start_date:
                                    type:
                                      - string
                                      - 'null'
                                  end_date:
                                    type:
                                      - string
                                      - 'null'
                                  address_detail:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      formatted_address:
                                        type: string
                                      street:
                                        type: string
                                      street2:
                                        type:
                                          - string
                                          - 'null'
                                      city:
                                        type: string
                                      state_or_province:
                                        type: string
                                      postal_code:
                                        type: string
                                      po_box:
                                        type:
                                          - string
                                          - 'null'
                                      country:
                                        type: string
                                      latitude:
                                        type:
                                          - number
                                          - 'null'
                                      longitude:
                                        type:
                                          - number
                                          - 'null'
                                      start_date:
                                        type:
                                          - string
                                          - 'null'
                                      end_date:
                                        type:
                                          - string
                                          - 'null'
                                      translation:
                                        type:
                                          - object
                                          - 'null'
                                        properties:
                                          official_name:
                                            type:
                                              - string
                                              - 'null'
                                          status:
                                            type:
                                              - string
                                              - 'null'
                                          legal_form:
                                            type:
                                              - string
                                              - 'null'
                                    required:
                                      - formatted_address
                                      - street
                                      - city
                                      - state_or_province
                                      - postal_code
                                      - country
                                  translation:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      official_name:
                                        type:
                                          - string
                                          - 'null'
                                      status:
                                        type:
                                          - string
                                          - 'null'
                                      legal_form:
                                        type:
                                          - string
                                          - 'null'
                                  states:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  sources:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                required:
                                  - name
                                  - type
                            shareholders:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  shareholder_type:
                                    type: string
                                  date_of_birth:
                                    type:
                                      - string
                                      - 'null'
                                  id_type:
                                    type:
                                      - string
                                      - 'null'
                                  id_number:
                                    type:
                                      - string
                                      - 'null'
                                  number_of_share:
                                    type:
                                      - string
                                      - 'null'
                                  percentage_of_share:
                                    type:
                                      - number
                                      - 'null'
                                  effective_date:
                                    type:
                                      - string
                                      - 'null'
                                  end_date:
                                    type:
                                      - string
                                      - 'null'
                                  translation:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      official_name:
                                        type:
                                          - string
                                          - 'null'
                                      status:
                                        type:
                                          - string
                                          - 'null'
                                      legal_form:
                                        type:
                                          - string
                                          - 'null'
                                required:
                                  - name
                                  - shareholder_type
                            contacts:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  value:
                                    type: string
                                  description:
                                    type:
                                      - string
                                      - 'null'
                                  start_date:
                                    type:
                                      - string
                                      - 'null'
                                  end_date:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - type
                                  - value
                            name_history:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  effective_date:
                                    type: string
                                  end_date:
                                    type:
                                      - string
                                      - 'null'
                                  translation:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      official_name:
                                        type:
                                          - string
                                          - 'null'
                                      status:
                                        type:
                                          - string
                                          - 'null'
                                      legal_form:
                                        type:
                                          - string
                                          - 'null'
                                required:
                                  - name
                                  - effective_date
                            activity_history:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  activity:
                                    type: string
                                  date:
                                    type: string
                                required:
                                  - activity
                                  - date
                            latest_annual_return:
                              type:
                                - object
                                - 'null'
                              properties:
                                year_of_filing:
                                  type:
                                    - string
                                    - 'null'
                                annual_meeting_date:
                                  type:
                                    - string
                                    - 'null'
                        relationships:
                          type: object
                          properties:
                            sessions:
                              type: object
                              properties:
                                data:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        type: string
                                      id:
                                        type: string
                                    required:
                                      - type
                                      - id
                              required:
                                - data
                      required:
                        - id
                        - type
                        - attributes
                        - relationships
                  meta:
                    type: object
                    properties:
                      page:
                        type: object
                        properties:
                          size:
                            type: integer
                            exclusiveMinimum: 0
                          has_next:
                            type: boolean
                          has_previous:
                            type: boolean
                          start_cursor:
                            type:
                              - string
                              - 'null'
                          end_cursor:
                            type:
                              - string
                              - 'null'
                          total:
                            type: integer
                            minimum: 0
                        required:
                          - size
                          - has_next
                          - has_previous
                    required:
                      - page
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                      last:
                        type: string
                required:
                  - data
                  - meta
                  - links
        '400':
          description: Invalid filter or pagination parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                      required:
                        - status
                        - title
                        - detail
                required:
                  - errors
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: |-
        API key for authentication.
        Access https://console.beltic.com/ to obtain your API key.

````